curl -X GET "https://api.wirebox.sh/api/v1/mail/messages?thread_id=thrd_01J8XYZ987ABC" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"messages": [
{
"id": "msg_01J8ABC123XYZ",
"thread_id": "thrd_01J8XYZ987ABC",
"direction": "inbound",
"from": "Alex Customer <alex@example.com>",
"to": ["eva@wireboxmail.com"],
"subject": "Question regarding my API quota",
"text": "Hi Eva, how can I increase my monthly quota?",
"html": "<p>Hi Eva, how can I increase my monthly quota?</p>",
"attachments": [],
"created_at": "2026-09-11T12:00:00Z"
}
],
"total": 1
}
Mail & Messages
List Messages
List email messages with full RFC headers, text/HTML content, and R2 attachment URLs.
GET
/
api
/
v1
/
mail
/
messages
curl -X GET "https://api.wirebox.sh/api/v1/mail/messages?thread_id=thrd_01J8XYZ987ABC" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"messages": [
{
"id": "msg_01J8ABC123XYZ",
"thread_id": "thrd_01J8XYZ987ABC",
"direction": "inbound",
"from": "Alex Customer <alex@example.com>",
"to": ["eva@wireboxmail.com"],
"subject": "Question regarding my API quota",
"text": "Hi Eva, how can I increase my monthly quota?",
"html": "<p>Hi Eva, how can I increase my monthly quota?</p>",
"attachments": [],
"created_at": "2026-09-11T12:00:00Z"
}
],
"total": 1
}
Query Parameters
string
Filter messages belonging to a specific conversation thread.
string
Filter messages for a specific agent handle.
integer
default:"50"
Number of messages to return.
curl -X GET "https://api.wirebox.sh/api/v1/mail/messages?thread_id=thrd_01J8XYZ987ABC" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"messages": [
{
"id": "msg_01J8ABC123XYZ",
"thread_id": "thrd_01J8XYZ987ABC",
"direction": "inbound",
"from": "Alex Customer <alex@example.com>",
"to": ["eva@wireboxmail.com"],
"subject": "Question regarding my API quota",
"text": "Hi Eva, how can I increase my monthly quota?",
"html": "<p>Hi Eva, how can I increase my monthly quota?</p>",
"attachments": [],
"created_at": "2026-09-11T12:00:00Z"
}
],
"total": 1
}